package com.alibaba.druid.sql.visitor;

import com.alibaba.druid.DbType;
import java.util.List;

public interface ParameterizedVisitor extends PrintableVisitor {
   int getReplaceCount();

   void incrementReplaceCunt();

   DbType getDbType();

   void setOutputParameters(List<Object> var1);

   void config(VisitorFeature var1, boolean var2);

   boolean isEnabled(VisitorFeature var1);
}
